Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.ops
Class DeltaParameters

    java.lang.Object
      com.sun.mdm.index.ops.DeltaParameters

Direct Known Subclasses:
  BlobHelperParameters

public class DeltaParameters
extends java.lang.Object

Constructor Summary
`DeltaParameters()` Creates a new instance of DeltaParameters

Method Summary
`int` | `getColumnIndex()` Getter for mColumnIndex attribute.
`java.lang.String` | `getColumnName()` Getter for mColumnName attribute.
`java.sql.PreparedStatement` | `getPreparedStatement()` Getter for mPs attribute.
`void` | `setColumnIndex(int val)` Setter for mColumnIndex attribute.
`void` | `setColumnName(java.lang.String val)` Setter for mColumnName attribute.
`void` | `setPreparedStatement(java.sql.PreparedStatement val)` Setter for the mPs attribute.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeltaParameters

    public DeltaParameters()

  Creates a new instance of DeltaParameters

Method Detail

### getColumnIndex

    public int getColumnIndex()

  Getter for mColumnIndex attribute.

  Returns:
    value of mColumnIndex attribute.

### getColumnName

    public java.lang.String getColumnName()

  Getter for mColumnName attribute.

  Returns:
    value of mColumnName attribute.

### getPreparedStatement

    public java.sql.PreparedStatement getPreparedStatement()

  Getter for mPs attribute.

  Returns:
    value of mPs attribute.

### setColumnIndex

    public void setColumnIndex(int val)

  Setter for mColumnIndex attribute.

  Parameters:
    `val` - value to be assigned to mColumnIndex attribute.

### setColumnName

    public void setColumnName(java.lang.String val)

  Setter for mColumnName attribute.

  Parameters:
    `val` - value to be assigned to mColumnName attribute.

### setPreparedStatement

    public void setPreparedStatement(java.sql.PreparedStatement val)

  Setter for the mPs attribute.

  Parameters:
    `val` - value to be assigned to the mPs attribute.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.